.my-bookshelf-wrapper {
  height: 100%;
}

.my-bookshelf-inner-wrapper {
  width: calc(100% - 142px);
  margin-left: auto;
  padding-right: 50px;
  height: 100%;
}

.my-bookshelf-page-title-wrapper {
  padding: 40px 0;
  display: flex;
  width: 100%;
  align-items: center;
  justify-content: space-between;
}

.my-bookshelf-page-title-wrapper h1 {
  margin: 0;
  font-size: 52px;
  line-height: 78px;
  font-family: 'Gurmukhi MN';
  font-weight: 400;
  height: 54px;
}

.my-bookshelf-breadcrumb {
  display: flex;
  list-style: none;
  margin: 0;
  padding: 0;
  gap: 16px;
  align-items: center;
}

.my-bookshelf-breadcrumb li {
  font-size: 26px;
  line-height: 40px;
  letter-spacing: var(--letter-spacing);
  font-weight: var(--font-weight-400);
  font-family: 'Gurmukhi MN';
  color: var(--primary-color);
}

.my-bookshelf-breadcrumb li a,
.my-bookshelf-breadcrumb li i {
  font-size: 26px;
  line-height: 40px;
  letter-spacing: var(--letter-spacing);
  font-weight: var(--font-weight-400);
  font-family: 'Gurmukhi MN';
  color: var(--secondary-color);
  text-decoration: none;
}

.my-bookshelf-breadcrumb li i {
  transform: rotate(180deg);
  display: inline-block;
}

.my-bookshelf-page-ttiel-search {
  width: 260px;
}

.my-bookshelf-page-ttiel-search .search-form .search-field {
  position: relative;
}

.my-bookshelf-page-ttiel-search .search-form .search-field i {
  position: absolute;
  font-size: 20px;
  top: 0;
  bottom: 0;
  margin: auto;
  display: flex;
  align-items: center;
}

.my-bookshelf-page-ttiel-search .search-form .search-field input {
  font-size: 14px;
  line-height: normal;
  font-weight: var(--font-weight-500);
  border: none;
  border-bottom: 1px solid rgba(34, 39, 54, 0.16);
  border-radius: 0;
  background-color: transparent;
  padding: 17.5px 17px 17.5px 30px;
  width: 100%;
  color: rgba(34, 39, 57, 0.5);
}

.my-bookshelf-page-ttiel-search .search-form .search-field input:focus {
  outline: none;
}

.my-bookshelf-heading {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 30px;
}

.my-bookshelf-heading h2 {
  font-size: 26px;
  line-height: 39px;
  letter-spacing: var(--letter-spacing);
  font-family: 'Gurmukhi MN';
  font-weight: 400;
  margin: 0;
  position: relative;
  top: 2px;
}

.my-bookshelf-heading a,
a#bookshelf-see-all,
a#favourites-see-all,
#rl-my-bookshelf a,
a#network-profile-books-see-all {
  font-size: 16px;
  line-height: 100%;
  letter-spacing: var(--letter-spacing);
  color: var(--primary-color);
  margin: 0;
  cursor: pointer;
  font-weight: var(--font-weight-500);
  text-decoration: none;
}

.my-bookshelf-page-content {
  height: calc(100% - 224px);
}

.no-bookshelf-content {
  height: 100%;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.my-bookshelf-page-content .my-bookshelf-page-content-inner {
  border-bottom: 1px solid rgba(34, 39, 54, 0.16);
  margin-bottom: 30px;
  padding-bottom: 30px;
}

.my-bookshelf-grid {
  text-align: center;
  display: flex;
  flex-wrap: wrap;
  gap: 20px 57px;
}

.my-bookshelf-grid-item {
  width: calc(100% / 8 - 50px);
}

/* .my-bookshelf-grid-item:nth-child(8n) {
    background: red;
} */

.my-bookshelf-grid-item-thumb {
  width: 100%;
  height: 240px;
  overflow: hidden;
  box-shadow: -16px 16px 16px rgba(0, 0, 0, 0.3);
}

.my-bookshelf-grid-item-thumb img {
  width: 100%;
  height: 100%;
}

.my-bookshelf-grid-item a,
.my-bookshelf-grid-item h5 {
  font-size: 14px;
  font-weight: var(--font-weight-500);
  line-height: 20px;
  letter-spacing: var(--letter-spacing);
  color: var(--secondary-color);
  text-decoration: none;
  width: 100%;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.my-bookshelf-grid-item h5 {
  margin-top: 30px;
}

.my-bookshelf-reading-lists {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}

.my-bookshelf-reading-lists a {
  width: calc(100% / 3 - 13.4px);
}

.my-bookshelf-reading-lists-inner {
  background: var(--soft-ivory);
  padding: 0;
  width: 100%;
}

.my-bookshelf-reading-lists-heading {
  display: flex;
  justify-content: space-between;
  padding: 24px 24px 0;
}

.my-bookshelf-reading-lists-heading .reading-lists-title h3 {
  font-size: 20px;
  line-height: 20px;
  letter-spacing: var(--letter-spacing);
  font-family: 'Gurmukhi MN';
  font-weight: 400;
  margin: 0 0 8px;
}

.my-bookshelf-reading-lists-heading .reading-lists-title p {
  font-size: 14px;
  line-height: 18px;
  font-weight: var(--font-weight-500);
  letter-spacing: var(--letter-spacing);
  color: var(--secondary-color);
  margin: 0;
}

.reading-lists-action {
  position: relative;
}

.reading-lists-action .reading-lists-action-btn {
  color: var(--secondary-color);
  text-decoration: none;
  font-size: 24px;
  height: 24px;
  width: 24px;
  display: block;
  display: flex;
  align-items: center;
  justify-content: center;
}

.reading-lists-action-dropdown {
  background: var(--beige-color);
  padding: 15px;
  position: absolute;
  right: calc(100% - 24px);
  top: 24px;
  display: none;
  z-index: 8;
}

.reading-lists-action-dropdown ul {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  width: 88px;
}

.reading-lists-action-dropdown ul li {
  width: 100%;
}

.reading-lists-action-dropdown ul li span {
  font-size: 16px;
  line-height: 24px;
  font-weight: var(--font-weight-500);
  text-decoration: none;
  color: var(--secondary-color);
  width: 100%;
}

.my-bookshelf-reading-lists-slider {
  overflow: hidden;
}

.reding-lists-slider-item {
  box-shadow: -10px 12px 16px rgba(0, 0, 0, 0.3);
  width: 109.5px;
  height: 150px;
  overflow: hidden;
}

.reding-lists-slider-item img {
  width: 100%;
  height: 100%;
}

.my-bookshelf-reading-lists-slider .swiper-container {
  left: -3px;
  padding: 24px;
}

.my-bookshelf-reading-lists-slider .swiper-container.my-bookshelf-swiper-container {
  padding: 0;
  left: 0;
}

.my-bookshelf-swiper-container .swiper-wrapper {
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
  padding: 24px;
}

.network-profile-tab .my-bookshelf-swiper-container .swiper-wrapper {
  gap: 12px;
}

.my-bookshelf-swiper-container .swiper-slide {
  width: auto;
}

.search-categories-filter {
  background: #FDFCF6;
  position: absolute;
  width: 430px;
  right: -100%;
  height: calc(100% - 110px);
  position: fixed;
  z-index: 5;
  bottom: 0;
  display: flex;
  flex-direction: column;
  gap: 20px;
  transition: all 0.6s ease-in-out;
}

.search-categories-filter-inner {
  height: calc(100% - 0px);
  overflow-y: auto;
  padding: 20px 30px;
}

.search-categories-filter.active {
  right: 0;
}

.search-categories-filter a.filter-close-search {
  position: absolute;
  background: var(--secondary-color);
  top: -15px;
  left: -15px;
  width: 30px;
  height: 30px;
  text-decoration: none;
  text-align: center;
  line-height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--white-color);
  border-radius: 99em;
}

.search-categories-filter a.filter-close-search i {
  position: relative;
  left: 0.5px;
}

.search-categories-filter a.filter-close-search i::before {
  color: var(--white-color);
}

.search-categories-filter .my-bookshelf-page-ttiel-search {
  width: 100%;
}

.search-categories-filter .search-categories-grid {
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
  margin-top: 12px;
}

.search-categories-filter .search-categories-grid h4 {
  font-size: 26px;
  line-height: 28px;
  font-family: 'Gurmukhi MN';
  font-weight: 400;
  letter-spacing: var(--letter-spacing);
  margin: 0;
  color: var(--secondary-color);
  width: 100%;
}

.search-categories-filter .search-categories-grid ul {
  width: 100%;
  list-style-type: none;
  margin: 0;
  padding: 0;
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  gap: 20px;
}

.search-categories-filter .search-categories-grid ul li {}

.search-categories-filter .search-categories-grid ul li .form-group {
  display: flex;
  position: relative;
}

.search-categories-filter .search-categories-grid ul li .form-group input {
  padding: 0;
  height: initial;
  width: initial;
  margin-bottom: 0;
  display: none;
  cursor: pointer;
}

.search-categories-filter .search-categories-grid ul li .form-group label {
  display: flex;
  align-items: flex-start;
}

.search-categories-filter .search-categories-grid ul li .form-group label span {
  position: relative;
  cursor: pointer;
  font-size: 16px;
  line-height: 18px;
  font-weight: var(--font-weight-500);
  display: flex;
  top: 1px;
}

.search-categories-filter .search-categories-grid ul li .form-group label:before {
  content: '';
  -webkit-appearance: none;
  background-color: transparent;
  border: 1px solid rgba(34, 39, 54, 0.3);
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05), inset 0px -15px 10px -12px rgba(0, 0, 0, 0.05);
  padding: 8px;
  display: inline-block;
  position: relative;
  vertical-align: middle;
  cursor: pointer;
  margin-right: 12px;
  border-radius: 4px;
}

.search-categories-filter .search-categories-grid ul li .form-group input:checked+label:after {
  content: '';
  display: block;
  position: absolute;
  top: 1px;
  left: 6.5px;
  width: 6px;
  height: 12px;
  border: solid var(--primary-color);
  border-width: 0 2px 2px 0;
  transform: rotate(45deg);
}

.search-categories-filter .search-categories-grid .most-impactful {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
}

.search-categories-filter .search-categories-grid .most-impactful a {
  font-size: 24px;
  text-decoration: none;
  color: var(--secondary-color);
  font-weight: var(--font-weight-500)
}

.search-categories-filter .see-all-btn {
  font-size: 14px;
  color: var(--primary-color);
  line-height: 100%;
  font-weight: var(--font-weight-500);
  text-decoration: none;
  cursor: pointer;
  text-transform: capitalize;
  display: block;
  margin-top: 4px;
}

#books_searchform-toggle .search-field {
  cursor: pointer;
}

#books_searchform-toggle .search-field #search-field {
  cursor: pointer;
  pointer-events: none;
}

.my-bookshelf-reading-lists-description {
  padding: 12px 0 24px;
  font-size: 16px;
  line-height: 24px;
  color: var(--secondary-color);
  letter-spacing: var(--letter-spacing);
  opacity: 0.8;
}

.my-bookshelf-reading-lists-description p {
  font-size: 16px;
  line-height: 24px;
  color: var(--secondary-color);
  letter-spacing: var(--letter-spacing);
  opacity: 0.8;
  padding-bottom: 12px;
  font-weight: var(--font-weight-500);
}

.my-bookshelf-reading-lists-description p:last-child {
  padding-bottom: 0;
}

.my-bookshelf-reading-lists.my-bookshelf-reading-lists-full .my-bookshelf-reading-lists-inner .my-bookshelf-grid {
  padding: 24px 0 0;
  border-top: 1px solid #22273629;
  margin: 0;
}

.my-bookshelf-reading-lists.my-bookshelf-reading-lists-full a {
  width: 100%;
}

.my-bookshelf-reading-lists-inner.my-bookshelf-reading-lists-inner-details {
  padding: 40px;
}

.my-bookshelf-reading-lists-inner.my-bookshelf-reading-lists-inner-details .my-bookshelf-reading-lists-heading {
  padding: 0;
}

.my-bookshelf-reading-lists-inner.my-bookshelf-reading-lists-inner-details .my-bookshelf-reading-lists-heading .reading-lists-action {
  display: flex;
  gap: 20px;
}

.my-bookshelf-reading-lists-inner.my-bookshelf-reading-lists-inner-details .my-bookshelf-reading-lists-heading .reading-lists-action a {
  background: var(--beige-color);
  font-size: 14px;
  line-height: 18px;
  font-weight: var(--font-weight-500);
  text-decoration: none;
  cursor: pointer;
  text-transform: capitalize;
  width: 48px;
  height: 48px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
}

.my-bookshelf-reading-lists-inner.my-bookshelf-reading-lists-inner-details .my-bookshelf-reading-lists-heading .reading-lists-action a i {
  font-size: 26px;
}

.my-bookshelf-reading-lists-inner.my-bookshelf-reading-lists-inner-details .my-bookshelf-reading-lists-heading .reading-lists-action a.add-book-btn {
  width: auto;
  padding: 0 20px;
  background: var(--secondary-color);
  color: #fff;
  border-radius: 40px;
}

.my-bookshelf-reading-lists.my-bookshelf-reading-lists-full .my-bookshelf-reading-lists-inner .my-bookshelf-grid .my-bookshelf-grid-item {
  width: calc(100% / 8 - 50px);
}

.my-bookshelf-reading-lists.my-bookshelf-reading-lists-full .my-bookshelf-reading-lists-inner .my-bookshelf-grid .my-bookshelf-grid-item .my-bookshelf-grid-item-thumb {
  width: 100%;
  position: relative;
}

.my-bookshelf-grid-item-overlay {
  position: absolute;
  top: 0;
  height: 100%;
  width: 100%;
  background: rgba(34, 39, 54, 0.6);
  opacity: 0;
  transition: all 0.3s ease-in-out;
}

.my-bookshelf-grid-item-overlay ul {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  gap: 20px;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  margin: auto;
  height: 100%;
}

.my-bookshelf-reading-lists.my-bookshelf-reading-lists-full .my-bookshelf-grid-item-overlay ul li a {
  background: var(--white-color);
  width: 48px;
  height: 48px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.my-bookshelf-grid-item-overlay ul li a i {
  font-size: 26px;
}

.book-drag-handle {
  cursor: move;
}

.my-bookshelf-reading-lists.my-bookshelf-reading-lists-full .my-bookshelf-reading-lists-inner .my-bookshelf-grid .my-bookshelf-grid-item:hover .my-bookshelf-grid-item-overlay {
  opacity: 1;
}

.popup-common-btn {
  background-color: var(--primary-color);
  color: var(--white-color);
  text-decoration: none;
  display: inline-block;
  font-family: 'Montserrat';
  font-weight: 600;
  font-size: 14px;
  line-height: 18px;
  letter-spacing: 0;
  padding: 15px 48px;
  border-radius: 40px;
  cursor: pointer;
}

/* Popular books css start */

.my-bookshelf-wrapper.popular-books-wrapper .my-bookshelf-inner-wrapper .my-bookshelf-page-content {
  height: auto;
}

.my-bookshelf-wrapper.popular-books-wrapper .my-bookshelf-inner-wrapper .my-bookshelf-page-title-wrapper h1 {
  font-size: 26px;
}

.my-bookshelf-wrapper.popular-books-wrapper .my-bookshelf-inner-wrapper .my-bookshelf-page-content .my-bookshelf-heading h2 {
  font-size: 18px;
}

#woocommerce-checkout-form-coupon .coupon-error-notice {
  position: absolute !important;
  top: 48px !important;
  width: max-content !important;
}

#rl-my-bookshelf .my-bookshelf-reading-lists,
#bookshelf-internal-section .my-bookshelf-grid,
#bookshelf_favourites-section .my-bookshelf-grid {
  margin-bottom: 24px;
}


/* Footer CSS */

.copyright_container {
  display: flex;
  flex-direction: column;
  padding: 30px 20px 0 20px;
  width: 100%;
  justify-content: center;
  text-align: center;
}

.copyright_txt,
.copyright_container .learn_more_about {
  font-size: 13px;
  line-height: 20px;
  font-weight: 500;
  opacity: 0.8;
}

.copyright_container .learn_more_about a{
  color: var(--primary-color);
  text-decoration: none;
}

.my-bookshelf-page-footer {
  display: flex;
  align-items: center;
  justify-content: center;
}

.my-bookshelf-page-footer.reading_list_page {
  padding-bottom: 30px;
}

.my-bookshelf-page-footer.popular_books {
  padding-bottom: 30px;
  background-color: #F0EEE3;
  margin-top: -30px;
}

.my-bookshelf-page-footer.user_notification {
  /* margin-top: -20px; */
}

.my-bookshelf-page-footer.network_page {
  padding-bottom: 30px;
  margin-top: 10px;
}

.my-bookshelf-page-footer.notifications_page {
  /* padding-bottom: 30px; */
}

/* bookself main page */

.my-bookshelf-wrapper.bookself_override #myBookShelf-scope-wrapper {
  height: 100% !important;
}

.my-bookshelf-page-footer.bookself_page {
  padding-bottom: 30px;
  background-color: #F0EEE3;
  margin-top: -30px;
}

@media (max-width:1200px) {

  .copyright_container {
    padding: 20px 0;
  }

  .my-bookshelf-page-footer.bookself_page .copyright_container {
    padding-bottom: 0;
    padding-top: 30px;
  }

  .my-bookshelf-page-footer.reading_list_page {
    padding-bottom: 0;
  }

  .my-bookshelf-page-footer.network_page {
    padding-bottom: 0;
    margin-top: 10px;
  }

  .my-bookshelf-page-footer.popular_books {
    padding-bottom: 0;
  }
}

@media (max-width:1024px) {}

@media (max-width:576px) {

  .my-bookshelf-page-footer.bookself_page {
    padding-bottom: 96px;
  }

  .copyright_container {
    padding: 15px 0 !important;
    max-width: 245px;
  }

  .my-bookshelf-page-footer.reading_list_page {
    padding-bottom: 96px;
    margin-top: -18% !important;
  }

  .my-bookshelf-page-footer.network_page {
    padding-bottom: 96px;
    margin-top: 10px;
  }

  .my-bookshelf-page-footer.popular_books {
    padding-bottom: 96px;
  }

  .my-bookshelf-page-footer.user_notification {
    padding-bottom: 66px;
  }

  .my-bookshelf-page-footer.common_profile {
    padding-bottom: 66px;
    margin-top: -15% !important;
  }

  .my-bookshelf-page-footer.profile_page {
    margin-bottom: 96px;
    margin-top: -15% !important;
  }

  .my-bookshelf-page-footer.referral_link {
    margin-top: -15%;
    padding-bottom: 96px;
  }

  .my-bookshelf-page-footer.privacy_page {
    margin-top: -15%;
    padding-bottom: 0;
  }

  .my-bookshelf-page-footer.notifications_page {
    padding-bottom: 0;
    margin-top: -15%;
  }

  .my-bookshelf-page-footer.apps_page {
    margin-top: -15%;
    padding-bottom: 96px;
  }

  .my-bookshelf-page-footer.plan_page {
    margin-top: -25%;
    padding-bottom: 96px;
  }

  .my-bookshelf-page-footer.acc_action_page {
    padding-bottom: 0;
    margin-top: -15%;
  }

  .my-bookshelf-page-footer.help_page {
    margin-top: -15%;
    padding-bottom: 96px;
  }

  .my-bookshelf-page-footer.contact_page {
    margin-top: -15%;
    padding-bottom: 96px;
  }
}